WarpBuild LogoWarpBuild Docs
Runners

DELETE /runners/{id}

Deletes a runner set from the authenticated organization. This will remove the runner configuration and prevent new instances from being provisioned. **Warning:** Any running instances associated with this runner will be terminated. This action cannot be undone.

DELETE
/runners/{id}
Authorization<token>

In: header

Path Parameters

id*string

Runner ID

Response Body

application/json

application/json

application/json

curl -X DELETE "https://api.warpbuild.com/api/v1/runners/string"
{
  "active": true,
  "configuration": {
    "byoc_sku": {
      "arch": "x64",
      "imdsv2_required": true,
      "instance_types": [
        "m5.xlarge",
        "m5.2xlarge"
      ],
      "is_public": false,
      "network_tier": "STANDARD",
      "role_arn": "arn:aws:iam::123456789012:role/WarpBuildRole"
    },
    "capacity_type": "ondemand",
    "image": "ubuntu-2404",
    "sku": "warp-ubuntu-2404-x64-4x",
    "storage": {
      "disk_type": "pd-balanced",
      "iops": 0,
      "performance_tier": "P15",
      "size": 0,
      "throughput": 0,
      "tier": "low"
    }
  },
  "created_at": "string",
  "id": "runner_abc123",
  "labels": [
    "warp-ubuntu-2404-x64-4x"
  ],
  "meta": {},
  "name": "my-ubuntu-runner",
  "organization_id": "org_abc123",
  "provider_id": "cloud_xyz789",
  "stock_runner_id": "stock_xyz",
  "updated_at": "string",
  "vcs_integration_id": "vcs_abc123"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}